curl --request POST \
--url https://api.hubapi.com/blogs/v3/topics/group-topics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupedTopicName": "Merged Topic",
"topicIds": [
123456,
789012,
345678
]
}
'{
"topicIds": [
123456,
789012,
345678
],
"groupedTopicName": "Merged Topic",
"portalId": 62515
}Merge multiple topics by ID into a single topic group.
curl --request POST \
--url https://api.hubapi.com/blogs/v3/topics/group-topics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupedTopicName": "Merged Topic",
"topicIds": [
123456,
789012,
345678
]
}
'{
"topicIds": [
123456,
789012,
345678
],
"groupedTopicName": "Merged Topic",
"portalId": 62515
}The access token received from the authorization server in the OAuth 2.0 flow.
Use the casing=snake parameter to change the API's casing for allowed JSON fields (below) to snake_case, rather than camelCase, which is the default. This option is provided for backwards-compatibility and ease of migration from Content v2 APIs, which used snake_case.
snake Was this page helpful?